log4cplus::HierarchyLocker Class Reference

This is used to lock a Hierarchy. More...

`#include <hierarchylocker.h>`

## Public Member Functions

| HierarchyLocker (Hierarchy &h)
| ~HierarchyLocker () LOG4CPLUS_NOEXCEPT_FALSE
void | resetConfiguration ()
| Calls the `resetConfiguration()` method on the locked Hierarchy.
Logger | getInstance (const log4cplus::tstring &name)
| Calls the `getInstance()` method on the locked Hierarchy.
Logger | getInstance (const log4cplus::tstring &name, spi::LoggerFactory &factory)
| Calls the `getInstance()` method on the locked Hierarchy.
void | addAppender (Logger &logger, log4cplus::SharedAppenderPtr &appender)

## Detailed Description

This is used to lock a Hierarchy.

The dtor unlocks the Hierarchy.

Definition at line 47 of file hierarchylocker.h.

## Constructor & Destructor Documentation

## HierarchyLocker()

log4cplus::HierarchyLocker::HierarchyLocker | ( | Hierarchy & | h | ) |

## ~HierarchyLocker()

log4cplus::HierarchyLocker::~HierarchyLocker | ( |  | ) |

References LOG4CPLUS_NOEXCEPT_FALSE.

## Member Function Documentation

## addAppender()

void log4cplus::HierarchyLocker::addAppender | ( | Logger & | logger,
|  | log4cplus::SharedAppenderPtr & | appender )

References addAppender().

Referenced by addAppender().

## getInstance() [1/2]

Logger log4cplus::HierarchyLocker::getInstance | ( | const log4cplus::tstring & | name | ) |

Calls the `getInstance()` method on the locked Hierarchy.

References getInstance().

Referenced by getInstance(), and getInstance().

## getInstance() [2/2]

Logger log4cplus::HierarchyLocker::getInstance | ( | const log4cplus::tstring & | name,
|  | spi::LoggerFactory & | factory )

Calls the `getInstance()` method on the locked Hierarchy.

References getInstance().

## resetConfiguration()

void log4cplus::HierarchyLocker::resetConfiguration | ( |  | ) |

Calls the `resetConfiguration()` method on the locked Hierarchy.

References resetConfiguration().

Referenced by resetConfiguration().

The documentation for this class was generated from the following file:

- hierarchylocker.h